Page MenuHomePhabricator

[MLIR] Update tutorial to add missing tests and bring directory paths and code snippets up to date.
ClosedPublic

Authored by lucyrfox on Mar 25 2020, 3:55 PM.

Diff Detail

Event Timeline

lucyrfox created this revision.Mar 25 2020, 3:55 PM
rriddle accepted this revision.Mar 27 2020, 7:48 PM
rriddle added inline comments.
mlir/test/Examples/Toy/Ch3/transpose_transpose.toy
2

Can you add a run of -opt to each of these tests? That should match with the instructions in the .md tutorial documents.

This revision is now accepted and ready to land.Mar 27 2020, 7:48 PM
lucyrfox updated this revision to Diff 254308.Apr 1 2020, 2:11 PM

Add -opt flag to added tests in Ch3-7.

lucyrfox marked an inline comment as done.Apr 1 2020, 2:12 PM
lucyrfox updated this revision to Diff 258458.Apr 17 2020, 5:46 PM
This comment was removed by lucyrfox.

Fix typo in run commands in tests.

thakis added a subscriber: thakis.Apr 17 2020, 7:08 PM

Looks like you pushed a branch for this review to the repo somehow, I got this when git pulling just now:

From https://github.com/llvm/llvm-project

c196e2ca48b..21d50019ca8  master            -> origin/master
  • [new branch] arcpatch-D76809_2 -> origin/arcpatch-D76809_2 71c3f57326c..92d5c1be9ee release/10.x -> origin/release/10.x

Could you remove that branch again?

Sorry about that - am working with an unfamiliar workflow that led me to a strange place... just deleted the branch but let me know if there's still any issue.

This revision was automatically updated to reflect the committed changes.